// One line for each STI board with IR sensors on it.
// First number on the line is the decimal STI board number.
// Following that are the 8 hexadecimal readings in the same order as
// displayed on the rFlex(TM) IR Console screen, when a piece of ordinary
// white paper is placed at 0.40 meters from the outer sensor surface.

short irCalib[16] = {
  /* 0 (Back board)  */      0x56, 0x5A, 0x68, 0x6C, 0x6A, 0x55, 0x65, 0x5C,
  /* 1 (Front board) */      0x45, 0x72, 0x67, 0x44, 0x58, 0x70, 0x5E, 0x69};
