//
//  A simple command line interface to either the Sony DVI-30/31 or the 
//    Canon VC-C4 pan-tilt-zoom camera.
//
//  NAPPOC (Not A Polished Piece Of Code)
//
//  Nathaniel Fairfield [than@sccs.swarthmore.edu]

#include <unistd.h>
#include <stdlib.h> 
#include <stdio.h> 
#include <string.h>
#include "ptzClient.h"

int main(int argc, char *argv[])
{
  int pan, tilt, zoom;
  pan = tilt = zoom = 0;

  startPTZ();
  usleep(1000000);

  if (argc < 3) {
    printf("Usage:
ptzCmdLine pan tilt [zoom]
pan and tilt are in thousandths of radians\n");
    return 0;
  }
  
  if (argc > 2) {   
    sscanf(argv[1],"%d",&pan);
    sscanf(argv[2],"%d",&tilt);
  } 
  if (argc > 3) {   
    sscanf(argv[3],"%d",&zoom); 
    setZoom(zoom);  
  }
  
  while (!readyPTZ());
  setPanTilt(pan,tilt);
  
  while (!readyPTZ());
  while(!donePTZ()){
    usleep(100000); 
  }
  return 0;
}





